Skip to main content
`Ctrl`+`K`

# AOPetscToApplicationIS

Maps an index set in the PETSc ordering to the application-defined ordering.

## Synopsis

    #include "petscao.h"
    PetscErrorCode AOPetscToApplicationIS(AO ao, IS is)

Collective

## Input Parameters

- ao - the application ordering context

- is - the index set; this is replaced with its mapped values

## Output Parameter

- is - the mapped index set

## Notes

The index set cannot be of `ISType` `ISSTRIDE` or `ISBLOCK`.

Any integers in is that are negative are left unchanged. This allows one to convert, for example, neighbor lists that use negative entries to indicate nonexistent neighbors due to boundary conditions etc.

## See Also

Application Orderings, `AO`, `AOCreateBasic()`, `AOView()`, `AOApplicationToPetsc()`, `AOApplicationToPetscIS()`, `AOPetscToApplication()`, `ISSTRIDE`, `ISBLOCK`

## Level

intermediate

## Location

src/vec/is/ao/interface/ao.c

## Examples

src/dm/tutorials/ex22.c

Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages